Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 1780)
+++ palm/trunk/SOURCE/modules.f90	(revision 1783)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-!
+! netcdf variables moved to the netcdf-interface module
 !
 ! Former revisions:
@@ -614,6 +614,5 @@
                              return_addres, return_username, &
                              timestep_scheme = 'runge-kutta-3'                             
-    CHARACTER (LEN=40)   ::  avs_data_file, output_format_netcdf, &
-                             topography = 'flat'
+    CHARACTER (LEN=40)   ::  avs_data_file, topography = 'flat'
     CHARACTER (LEN=64)   ::  host = ' '
     CHARACTER (LEN=80)   ::  log_message, run_identifier
@@ -629,6 +628,4 @@
     CHARACTER (LEN=20), DIMENSION(300) ::  data_output_pr = ' '
     CHARACTER (LEN=20), DIMENSION(200) ::  data_output_pr_user = ' '
-    CHARACTER (LEN=20), DIMENSION(11)  ::  netcdf_precision = ' '
-
     CHARACTER (LEN=20), DIMENSION(max_masks,0:1,100) ::  domask = ' '
     CHARACTER (LEN=20), DIMENSION(0:1,100) ::  do2d = ' ', do3d = ' '
@@ -653,5 +650,5 @@
                      maximum_parallel_io_streams = -1, max_pr_user = 0, &
                      mgcycles = 0, mg_cycles = -1, mg_switch_to_pe0_level = 0, mid, &
-                     nlsf = 1000, ntnudge = 1000, netcdf_data_format = 2, ngsrb = 2, &
+                     nlsf = 1000, ntnudge = 1000, ngsrb = 2, &
                      nr_timesteps_this_run = 0, &
                      nsor = 20, nsor_ini = 100, n_sor, normalizing_region = 0, &
@@ -1153,148 +1150,4 @@
 
 
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-!> Definition of parameters and variables for netcdf control.
-!------------------------------------------------------------------------------!
- MODULE netcdf_control
-
-    USE control_parameters, ONLY: max_masks
-    USE kinds
-#if defined( __netcdf )
-    USE netcdf
-#endif
-
-    INTEGER(iwp), PARAMETER ::  dopr_norm_num = 7, dopts_num = 29, dots_max = 100
-
-    INTEGER(iwp) ::  dots_num = 23
-
-    CHARACTER (LEN=6), DIMENSION(dopr_norm_num) ::  dopr_norm_names =          &
-         (/ 'wpt0  ', 'ws2   ', 'tsw2  ', 'ws3   ', 'ws2tsw', 'wstsw2',        &
-            'z_i   ' /)
-
-    CHARACTER (LEN=6), DIMENSION(dopr_norm_num) ::  dopr_norm_longnames =      &
-         (/ 'wpt0  ', 'w*2   ', 't*w2  ', 'w*3   ', 'w*2t*w', 'w*t*w2',        &
-            'z_i   ' /)
-
-    CHARACTER (LEN=7), DIMENSION(dopts_num) :: dopts_label =                   &
-          (/ 'tnpt   ', 'x_     ', 'y_     ', 'z_     ', 'z_abs  ', 'u      ', &
-             'v      ', 'w      ', 'u"     ', 'v"     ', 'w"     ', 'npt_up ', &
-             'w_up   ', 'w_down ', 'radius ', 'r_min  ', 'r_max  ', 'npt_max', &
-             'npt_min', 'x*2    ', 'y*2    ', 'z*2    ', 'u*2    ', 'v*2    ', &
-             'w*2    ', 'u"2    ', 'v"2    ', 'w"2    ', 'npt*2  ' /)
-
-    CHARACTER (LEN=7), DIMENSION(dopts_num) :: dopts_unit =                    &
-          (/ 'number ', 'm      ', 'm      ', 'm      ', 'm      ', 'm/s    ', &
-             'm/s    ', 'm/s    ', 'm/s    ', 'm/s    ', 'm/s    ', 'number ', &
-             'm/s    ', 'm/s    ', 'm      ', 'm      ', 'm      ', 'number ', &
-             'number ', 'm2     ', 'm2     ', 'm2     ', 'm2/s2  ', 'm2/s2  ', &
-             'm2/s2  ', 'm2/s2  ', 'm2/s2  ', 'm2/s2  ', 'number2' /)
-
-    CHARACTER (LEN=13), DIMENSION(dots_max) :: dots_label =                    &
-          (/ 'E            ', 'E*           ', 'dt           ',                &
-             'u*           ', 'th*          ', 'umax         ',                &
-             'vmax         ', 'wmax         ', 'div_new      ',                &
-             'div_old      ', 'z_i_wpt      ', 'z_i_pt       ',                &
-             'w*           ', 'w"pt"0       ', 'w"pt"        ',                &
-             'wpt          ', 'pt(0)        ', 'pt(z_mo)     ',                &
-             'w"u"0        ', 'w"v"0        ', 'w"q"0        ',                &
-             'ol           ', 'q*           ',                                 &
-             ( 'unknown      ', i9 = 1, dots_max-23 ) /)
-
-    CHARACTER (LEN=13), DIMENSION(dots_max) :: dots_unit =                     &
-          (/ 'm2/s2        ', 'm2/s2        ', 's            ',                &
-             'm/s          ', 'K            ', 'm/s          ',                &
-             'm/s          ', 'm/s          ', 's-1          ',                &
-             's-1          ', 'm            ', 'm            ',                &
-             'm/s          ', 'K m/s        ', 'K m/s        ',                &
-             'K m/s        ', 'K            ', 'K            ',                &
-             'm2/s2        ', 'm2/s2        ', 'kg m/s       ',                &
-             'm            ', 'kg/kg        ',                                 &
-             ( 'unknown      ', i9 = 1, dots_max-23 ) /)
-
-    CHARACTER (LEN=9), DIMENSION(300) ::  dopr_unit = 'unknown'
-
-    CHARACTER (LEN=7), DIMENSION(0:1,100) ::  do2d_unit, do3d_unit
-
-    CHARACTER (LEN=16), DIMENSION(25) ::  prt_var_names = &
-          (/ 'pt_age          ', 'pt_dvrp_size    ', 'pt_origin_x     ', &
-             'pt_origin_y     ', 'pt_origin_z     ', 'pt_radius       ', &
-             'pt_speed_x      ', 'pt_speed_y      ', 'pt_speed_z      ', &
-             'pt_weight_factor', 'pt_x            ', 'pt_y            ', &
-             'pt_z            ', 'pt_color        ', 'pt_group        ', &
-             'pt_tailpoints   ', 'pt_tail_id      ', 'pt_density_ratio', &
-             'pt_exp_arg      ', 'pt_exp_term     ', 'not_used        ', &
-             'not_used        ', 'not_used        ', 'not_used        ', &
-             'not_used        ' /)
-
-    CHARACTER (LEN=16), DIMENSION(25) ::  prt_var_units = &
-          (/ 'seconds         ', 'meters          ', 'meters          ', &
-             'meters          ', 'meters          ', 'meters          ', &
-             'm/s             ', 'm/s             ', 'm/s             ', &
-             'factor          ', 'meters          ', 'meters          ', &
-             'meters          ', 'none            ', 'none            ', &
-             'none            ', 'none            ', 'ratio           ', &
-             'none            ', 'none            ', 'not_used        ', &
-             'not_used        ', 'not_used        ', 'not_used        ', &
-             'not_used        ' /)
-
-    INTEGER(iwp) ::  id_dim_prtnum, id_dim_time_pr, id_dim_time_prt, &
-                     id_dim_time_pts, id_dim_time_sp, id_dim_time_ts, id_dim_x_sp, &
-                     id_dim_y_sp, id_dim_zu_sp, id_dim_zw_sp, id_set_pr, &
-                     id_set_prt, id_set_pts, id_set_sp, id_set_ts, id_var_prtnum, &
-                     id_var_rnop_prt, id_var_time_pr, id_var_time_prt, &
-                     id_var_time_pts, id_var_time_sp, id_var_time_ts, id_var_x_sp, &
-                     id_var_y_sp, id_var_zu_sp, id_var_zw_sp, nc_stat
-
-    INTEGER(iwp), DIMENSION(0:1) ::  id_dim_time_xy, id_dim_time_xz, &
-                    id_dim_time_yz, id_dim_time_3d, id_dim_x_xy, id_dim_xu_xy, &
-                    id_dim_x_xz, id_dim_xu_xz, id_dim_x_yz, id_dim_xu_yz, &
-                    id_dim_x_3d, id_dim_xu_3d, id_dim_y_xy, id_dim_yv_xy, &
-                    id_dim_y_xz, id_dim_yv_xz, id_dim_y_yz, id_dim_yv_yz, &
-                    id_dim_y_3d, id_dim_yv_3d, id_dim_zu_xy, id_dim_zu1_xy, &
-                    id_dim_zu_xz, id_dim_zu_yz, id_dim_zu_3d, id_dim_zw_xy, &
-                    id_dim_zw_xz, id_dim_zw_yz, id_dim_zw_3d, id_set_xy, &
-                    id_set_xz, id_set_yz, id_set_3d, id_var_ind_x_yz, &
-                    id_var_ind_y_xz, id_var_ind_z_xy, id_var_time_xy, &
-                    id_var_time_xz, id_var_time_yz, id_var_time_3d, id_var_x_xy, &
-                    id_var_xu_xy, id_var_x_xz, id_var_xu_xz, id_var_x_yz, &
-                    id_var_xu_yz, id_var_x_3d, id_var_xu_3d, id_var_y_xy, &
-                    id_var_yv_xy, id_var_y_xz, id_var_yv_xz, id_var_y_yz, &
-                    id_var_yv_yz, id_var_y_3d, id_var_yv_3d, id_var_zusi_xy, &
-                    id_var_zusi_3d, id_var_zu_xy, id_var_zu1_xy, id_var_zu_xz, &
-                    id_var_zu_yz, id_var_zu_3d, id_var_zwwi_xy, id_var_zwwi_3d, &
-                    id_var_zw_xy, id_var_zw_xz, id_var_zw_yz, id_var_zw_3d
-
-    INTEGER(iwp), DIMENSION(10)  ::  id_var_dospx, id_var_dospy
-    INTEGER(iwp), DIMENSION(20)  ::  id_var_prt
-    INTEGER(iwp), DIMENSION(11)  ::  nc_precision
-    INTEGER(iwp), DIMENSION(dopr_norm_num) ::  id_var_norm_dopr
-
-    INTEGER(iwp), DIMENSION(dopts_num,0:10) ::  id_var_dopts
-    INTEGER(iwp), DIMENSION(0:1,100)        ::  id_var_do2d, id_var_do3d
-    INTEGER(iwp), DIMENSION(100,0:9)        ::  id_dim_z_pr, id_var_dopr, &
-                                               id_var_z_pr
-    INTEGER(iwp), DIMENSION(dots_max,0:9)   ::  id_var_dots
-
-!
-!-- masked output
-    CHARACTER (LEN=7), DIMENSION(max_masks,0:1,100) ::  domask_unit
-
-    LOGICAL ::  output_for_t0 = .FALSE.
-
-    INTEGER(iwp), DIMENSION(1:max_masks,0:1) ::  id_dim_time_mask, id_dim_x_mask, &
-                   id_dim_xu_mask, id_dim_y_mask, id_dim_yv_mask, id_dim_zu_mask, &
-                   id_dim_zw_mask, &
-                   id_set_mask, &
-                   id_var_time_mask, id_var_x_mask, id_var_xu_mask, &
-                   id_var_y_mask, id_var_yv_mask, id_var_zu_mask, id_var_zw_mask, &
-                   id_var_zusi_mask, id_var_zwwi_mask
-
-    INTEGER(iwp), DIMENSION(1:max_masks,0:1,100)         ::  id_var_domask
-
-    SAVE
-
- END MODULE netcdf_control
 
 
